name: lifted-base
version: 0.2.3.6
id: lifted-base-0.2.3.6-918mEcUNLdGJqq8W2JWxxw
key: lifted-base-0.2.3.6-918mEcUNLdGJqq8W2JWxxw
license: BSD-3-Clause
copyright: (c) 2011-2012 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
author: Bas van Dijk, Anders Kaseorg
homepage: https://github.com/basvandijk/lifted-base
synopsis: lifted IO operations from the base library
description:
    @lifted-base@ exports IO operations from the base library lifted to
    any instance of 'MonadBase' or 'MonadBaseControl'.
    .
    Note that not all modules from @base@ are converted yet. If
    you need a lifted version of a function from @base@, just
    ask me to add it or send me a patch.
    .
    The package includes a copy of the @monad-peel@ testsuite written
    by Anders Kaseorg The tests can be performed using @cabal test@.
category: Control
abi: 54606acbe1d6be7f8862411d49a93e26
exposed: True
exposed-modules:
    Control.Concurrent.Chan.Lifted Control.Concurrent.Lifted
    Control.Concurrent.MVar.Lifted Control.Concurrent.QSem.Lifted
    Control.Concurrent.QSemN.Lifted Control.Exception.Lifted
    Data.IORef.Lifted Foreign.Marshal.Utils.Lifted
    System.Timeout.Lifted
import-dirs: /usr/local/lib/ghc/lifted-base-0.2.3.6
library-dirs: /usr/local/lib/ghc/lifted-base-0.2.3.6
dynamic-library-dirs: /usr/local/lib/ghc/lifted-base-0.2.3.6
data-dir: /usr/local/share/hs-lifted-base-0.2.3.6
hs-libraries: HSlifted-base-0.2.3.6-918mEcUNLdGJqq8W2JWxxw
includes:
    inlinable.h
depends:
    base-4.12.0.0 monad-control-1.0.0.4-AcK9ASuxkE084ciqHOIhwh
    transformers-base-0.4.4-1mj2e5MR6zr3cRGVEYdRZ3
haddock-interfaces: /usr/local/share/doc/hs-lifted-base-0.2.3.6/html/lifted-base.haddock
haddock-html: /usr/local/share/doc/hs-lifted-base-0.2.3.6/html
